setlocal
call %~dp0config.bat

set REPO_NAME=%1
set REPO_URL=%2

set REPO_DIR=mirrors\svn\%1
set REPO_LOCAL=file:///%REPO_ROOT%/svn/%REPO_NAME%

rd /q/s %REPO_DIR%
svnadmin create %REPO_DIR%
copy _hooks\*.cmd %REPO_DIR%\hooks\.
svnsync init --sync-username svnsync "%REPO_LOCAL%" %REPO_URL%
echo svnsync sync "%REPO_LOCAL%" > mirrors\svn\sync_%REPO_NAME%.bat
